## LassoPaosResponse

LassoPaosResponse — <paos:Response>

## Functions

int | lasso_paos_response_validate ()
LassoNode * | lasso_paos_response_new ()

## Description

Figure 22. Schema fragment for paos:Response

    <xs:element name="Response" type="ResponseType"/>
    <xs:complexType name="ResponseType">
        <xs:attribute name="refToMessageID" type="IDType" use="optional"/>
        <xs:attribute ref="S:mustUnderstand" use="required"/>
        <xs:attribute ref="S:actor" use="required"/>
    </xs:complexType>

## Functions

### lasso_paos_response_validate ()

    int
    lasso_paos_response_validate (LassoPaosResponse *node);

Validates the object conforms to required values.

- mustUnderstand must be TRUE
- actor must be equal to LASSO_SOAP_ENV_ACTOR

#### Parameters

response | The LassoPaosResponse object to validate |

#### Returns

0 on success, error code otherwise

### lasso_paos_response_new ()

    LassoNode *
    lasso_paos_response_new (const gchar *refToMessageID);

The LassoPaosResponse object is initialized as follows:

refToMessageID = `refToMessageID` (if non-NULL)
mustUnderstand = TRUE
actor = LASSO_SOAP_ENV_ACTOR

#### Parameters

refToMessageID | . | [allow-none]

#### Returns

a newly created and initialized LassoPaosResponse object